Subject: bug#46119: 28.0.50; this-error-recenter

From: Tino Calancha <[email-masked]>
Date: Sat, 30 Jan 2021 15:50:07 +0100

Richard Stallman <[email-masked]> writes:

>   > As a regular greper with a tiny screen I tend to use this command quite often.
>
>   > Tentatively, I have named it `this-error-recenter'; if you find a
>   > better name for it, please let me know.
>
> Would you please say what the command does?  I see this
>
>       > Add command to recenter errors from Occur/Grep buffers
>     
>       > It allows to scroll up/down the current displayed occurrence/error
>       > without abandon the Occur/Grep buffer.
>
> but I am not sure what that means, concretely.

;; Grep example (Call Emacs from the root Emacs source code using my patch)
emacs -Q lisp
M-x rgrep RET (defun RET *.el RET RET
C-x o
n ; display errors w/o selecting its window
l ; scroll up/down the current displayed error

;; Occur example
emacs -Q lisp/subr.el
M-s o (defun RET
C-x o
n ; display occurrences w/o selecting its window
l ; scroll up/down the current displayed occurrence